Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

Path Parameters

id
string
required

Body

application/json
project
string
templateMetadata
object
type
enum<string>
Available options:
standard
hypothesis
string

Default hypothesis for experiments created from this template. Markdown. If we change X, metric Y will move because Z.

description
string

Default description for experiments created from this template. Markdown.

Maximum string length: 10000
tags
string[]

Tags for filtering and grouping. Use these instead of encoding groups in names.

customFields
object
datasource
string
exposureQuery
object

The assignment query, grouping its ID with the identifier type analyzed on. Mutually exclusive with the deprecated exposureQueryId.

exposureQueryId
string
deprecated

Deprecated: use exposureQuery. Rejected when selecting a different assignment query that declares several identifier types; set exposureQuery.identifierType instead.

hashAttribute
string
fallbackAttribute
string
disableStickyBucketing
boolean
goalMetrics
string[]
secondaryMetrics
string[]
guardrailMetrics
string[]
activationMetric
string
statsEngine
enum<string>
Available options:
bayesian,
frequentist
segment
string
skipPartialData
boolean
targeting
object
customMetricSlices
object[]

Response

Resource updated

experimentTemplate
object
required